List creator Market SkillBots
curl --request GET \
--url https://loomloom.cogfoundry.ai/loom/v1/creators/me/marketListings \
--header 'Authorization: Bearer <token>'import requests
url = "https://loomloom.cogfoundry.ai/loom/v1/creators/me/marketListings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://loomloom.cogfoundry.ai/loom/v1/creators/me/marketListings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"description": "<string>",
"displayName": "<string>",
"executionAvailabilityStatus": "<string>",
"id": "<string>",
"inputSchemaSnapshot": "<string>",
"listingVersionId": "<string>",
"ownerUserId": 123,
"packageHash": "<string>",
"pricingRuleVersion": "<string>",
"pricingSnapshotHash": "<string>",
"publishedVersionId": "<string>",
"reviewReason": "<string>",
"reviewRequestId": "<string>",
"reviewStatus": "<string>",
"saleStatus": "<string>",
"status": "<string>",
"taskFixedFeeT": 123
}
],
"nextPageToken": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}List creator Market SkillBots
Returns Market SkillBot listings owned by the authenticated creator, including pending review, rejected, published, and unlisted listings.
GET
/
loom
/
v1
/
creators
/
me
/
marketListings
List creator Market SkillBots
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search keyword matched against listing title and description.
Page size. Default 100, max 500.
Opaque pagination token returned by the previous response.
Sort expression. Currently supports createdAt desc.